    <style type="text/css">
      fieldset#whap-gui { background-color: white }
      fieldset#whap-gui input[type="text"] { width: 8ex; margin-right: 2ex }
      fieldset#whap-gui label { display:inline-block; width: 2ex; } 
      .vertical-middle { display:inline-block; vertical-align:middle; } 
    </style>
  <fieldset id="whap-gui">
    <label for="A">A</label><input id="A" type="text"></input>

    <span class="vertical-middle">
      <label for="w">w</label><input id="w" type="text"/></br>
      <label for="h">h</label><input id="h" type="text"/>
    </span>

    <label for="p">p</label><input id="p" type="text"/>
  </fieldset>
